Package org.linphone.core

# Class ChatRoomListenerStub

java.lang.Object
org.linphone.core.ChatRoomListenerStub

All Implemented Interfaces:
  `ChatRoomListener`

public class ChatRoomListenerStub extends Object implements ChatRoomListener

## Constructor Summary

Constructors
Constructor
Description
`ChatRoomListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onChatMessageParticipantImdnStateChanged(ChatRoom chatRoom, ChatMessage message, ParticipantImdnState state)`
Callback used to notify a participant state has changed in a message of this
chat room.
`void`
`onChatMessageReceived(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that a chat message has been received.
`void`
`onChatMessageSending(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that a chat message is being sent.
`void`
`onChatMessageSent(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that a chat message has been sent.
`void`
`onChatMessageShouldBeStored(ChatRoom chatRoom, ChatMessage message)`
Callback used to tell the core whether or not to store the incoming message in
db or not using `ChatMessage.setToBeStored(boolean)`.
`void`
`onChatMessagesReceived(ChatRoom chatRoom, EventLog[] eventLogs)`
Callback used to notify a chat room that one or many chat messages have been
received.
`void`
`onChatRoomRead(ChatRoom chatRoom)`
Callback used to notify a chat room was "marked as read".
`void`
`onConferenceAddressGeneration(ChatRoom chatRoom)`
Callback used when a group chat room is created server-side to generate the
address of the chat room.
`void`
`onConferenceJoined(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room has been joined.
`void`
`onConferenceLeft(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room has been left.
`void`
`onEphemeralEvent(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that an ephemeral related event has been
generated.
`void`
`onEphemeralMessageDeleted(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that an ephemeral message has been deleted.
`void`
`onEphemeralMessageTimerStarted(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that the lifespan of an ephemeral message
before disappearing has started to decrease.
`void`
`onIsComposingReceived(ChatRoom chatRoom, Address remoteAddress, boolean isComposing)`
Is composing notification callback prototype.
`void`
`onMessageReceived(ChatRoom chatRoom, ChatMessage message)`
Callback used to notify a chat room that a message has been received.
`void`
`onMessagesReceived(ChatRoom chatRoom, ChatMessage[] chatMessages)`
Callback used to notify a chat room that many chat messages have been received.
`void`
`onNewEvent(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that an event log has been created.
`void`
`onNewEvents(ChatRoom chatRoom, EventLog[] eventLogs)`
Callback used to notify a chat room that many event logs have been created.
`void`
`onNewMessageReaction(ChatRoom chatRoom, ChatMessage message, ChatMessageReaction reaction)`
Callback used to notify a reaction has been received or sent for a given
message.
`void`
`onParticipantAdded(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that a participant has been added.
`void`
`onParticipantAdminStatusChanged(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that the admin status of a participant has
been changed.
`void`
`onParticipantDeviceAdded(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that a participant has been added.
`void`
`onParticipantDeviceMediaAvailabilityChanged(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a conference that the media availability of a
participant device has been changed.
`void`
`onParticipantDeviceRemoved(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that a participant has been removed.
`void`
`onParticipantDeviceStateChanged(ChatRoom chatRoom, EventLog eventLog, ParticipantDevice.State state)`
Callback used to notify a conference that a participant device has changed
state.
`void`
`onParticipantRegistrationSubscriptionRequested(ChatRoom chatRoom, Address participantAddress)`
Callback used when a group chat room server is subscribing to registration
state of a participant.
`void`
`onParticipantRegistrationUnsubscriptionRequested(ChatRoom chatRoom, Address participantAddress)`
Callback used when a group chat room server is unsubscribing to registration
state of a participant.
`void`
`onParticipantRemoved(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a chat room that a participant has been removed.
`void`
`onSecurityEvent(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify a security event in the chat room.
`void`
`onStateChanged(ChatRoom chatRoom, ChatRoom.State newState)`
Callback used to notify a chat room state has changed.
`void`
`onSubjectChanged(ChatRoom chatRoom, EventLog eventLog)`
Callback used to notify that the subject of a chat room has changed.
`void`
`onUndecryptableMessageReceived(ChatRoom chatRoom, ChatMessage message)`
Callback used to notify a chat room that a message has been received but we
were unable to decrypt it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChatRoomListenerStub

public ChatRoomListenerStub()

## Method Details

### onIsComposingReceived

public void onIsComposingReceived(@NonNull ChatRoom chatRoom, @NonNull Address remoteAddress, boolean isComposing)
Description copied from interface: `ChatRoomListener`
Is composing notification callback prototype.

Specified by:
  `onIsComposingReceived` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - LinphoneChatRoom involved in the conversation
  `remoteAddress` - The LinphoneAddress that has sent the is-composing
  notification
  `isComposing` - A boolean value telling whether the remote is composing or
  not

### onMessageReceived

public void onMessageReceived(@NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that a message has been received.

Specified by:
  `onMessageReceived` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - LinphoneChatRoom object
  `message` - The LinphoneChatMessage that has been received

### onMessagesReceived

public void onMessagesReceived(@NonNull ChatRoom chatRoom, @NonNull ChatMessage[] chatMessages)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that many chat messages have been received.
Only called when aggregation is enabled (aka [sip] chat_messages_aggregation ==
1 or using linphone_core_set_chat_messages_aggregation_enabled), it replaces
the single message received callback.

Specified by:
  `onMessagesReceived` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - LinphoneChatRoom object
  `chatMessages` - The list of events to be notified

### onNewEvent

public void onNewEvent(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that an event log has been created.

Specified by:
  `onNewEvent` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onNewEvents

public void onNewEvents(@NonNull ChatRoom chatRoom, @NonNull EventLog[] eventLogs)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that many event logs have been created.

Specified by:
  `onNewEvents` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLogs` - The list of events to be notified

### onChatMessageReceived

public void onChatMessageReceived(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that a chat message has been received.

Specified by:
  `onChatMessageReceived` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onChatMessagesReceived

public void onChatMessagesReceived(@NonNull ChatRoom chatRoom, @NonNull EventLog[] eventLogs)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that one or many chat messages have been
received.
Only called when aggregation is enabled (aka [sip] chat_messages_aggregation ==
1 or using `Core.setChatMessagesAggregationEnabled(boolean)`), it replaces the
single chat message received callback.

Specified by:
  `onChatMessagesReceived` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLogs` - The list of events to be notified

### onChatMessageSending

public void onChatMessageSending(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that a chat message is being sent.

Specified by:
  `onChatMessageSending` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onChatMessageSent

public void onChatMessageSent(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that a chat message has been sent.

Specified by:
  `onChatMessageSent` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onParticipantAdded

public void onParticipantAdded(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that a participant has been added.

Specified by:
  `onParticipantAdded` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onParticipantRemoved

public void onParticipantRemoved(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that a participant has been removed.

Specified by:
  `onParticipantRemoved` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onParticipantAdminStatusChanged

public void onParticipantAdminStatusChanged(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that the admin status of a participant has
been changed.

Specified by:
  `onParticipantAdminStatusChanged` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onStateChanged

public void onStateChanged(@NonNull ChatRoom chatRoom, ChatRoom.State newState)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room state has changed.

Specified by:
  `onStateChanged` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - LinphoneChatRoom object
  `newState` - The new LinphoneChatRoomState of the chat room

### onSecurityEvent

public void onSecurityEvent(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a security event in the chat room.

Specified by:
  `onSecurityEvent` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onSubjectChanged

public void onSubjectChanged(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify that the subject of a chat room has changed.

Specified by:
  `onSubjectChanged` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onUndecryptableMessageReceived

public void onUndecryptableMessageReceived(@NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that a message has been received but we
were unable to decrypt it.

Specified by:
  `onUndecryptableMessageReceived` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` involved in this conversation
  `message` - The `ChatMessage` that has been received

### onParticipantDeviceAdded

public void onParticipantDeviceAdded(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that a participant has been added.

Specified by:
  `onParticipantDeviceAdded` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onParticipantDeviceRemoved

public void onParticipantDeviceRemoved(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that a participant has been removed.

Specified by:
  `onParticipantDeviceRemoved` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onParticipantDeviceStateChanged

public void onParticipantDeviceStateChanged(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog, ParticipantDevice.State state)
Description copied from interface: `ChatRoomListener`
Callback used to notify a conference that a participant device has changed
state.

Specified by:
  `onParticipantDeviceStateChanged` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified
  `state` - new participant device state

### onParticipantDeviceMediaAvailabilityChanged

public void onParticipantDeviceMediaAvailabilityChanged(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a conference that the media availability of a
participant device has been changed.

Specified by:
  `onParticipantDeviceMediaAvailabilityChanged` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onConferenceJoined

public void onConferenceJoined(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room has been joined.

Specified by:
  `onConferenceJoined` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onConferenceLeft

public void onConferenceLeft(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room has been left.

Specified by:
  `onConferenceLeft` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onEphemeralEvent

public void onEphemeralEvent(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that an ephemeral related event has been
generated.

Specified by:
  `onEphemeralEvent` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onEphemeralMessageTimerStarted

public void onEphemeralMessageTimerStarted(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that the lifespan of an ephemeral message
before disappearing has started to decrease.
This callback is called when the ephemeral message is read by the receiver.

Specified by:
  `onEphemeralMessageTimerStarted` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onEphemeralMessageDeleted

public void onEphemeralMessageDeleted(@NonNull ChatRoom chatRoom, @NonNull EventLog eventLog)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room that an ephemeral message has been deleted.

Specified by:
  `onEphemeralMessageDeleted` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `eventLog` - `EventLog` The event to be notified

### onConferenceAddressGeneration

public void onConferenceAddressGeneration(@NonNull ChatRoom chatRoom)
Description copied from interface: `ChatRoomListener`
Callback used when a group chat room is created server-side to generate the
address of the chat room.
The function `ChatRoom.setConferenceAddress(org.linphone.core.Address)` needs to be called by this
callback.

Specified by:
  `onConferenceAddressGeneration` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object

### onParticipantRegistrationSubscriptionRequested

public void onParticipantRegistrationSubscriptionRequested(@NonNull ChatRoom chatRoom, @NonNull Address participantAddress)
Description copied from interface: `ChatRoomListener`
Callback used when a group chat room server is subscribing to registration
state of a participant.

Specified by:
  `onParticipantRegistrationSubscriptionRequested` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `participantAddress` - `Address` object

### onParticipantRegistrationUnsubscriptionRequested

public void onParticipantRegistrationUnsubscriptionRequested(@NonNull ChatRoom chatRoom, @NonNull Address participantAddress)
Description copied from interface: `ChatRoomListener`
Callback used when a group chat room server is unsubscribing to registration
state of a participant.

Specified by:
  `onParticipantRegistrationUnsubscriptionRequested` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `participantAddress` - `Address` object

### onChatMessageShouldBeStored

public void onChatMessageShouldBeStored(@NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Description copied from interface: `ChatRoomListener`
Callback used to tell the core whether or not to store the incoming message in
db or not using `ChatMessage.setToBeStored(boolean)`.

Specified by:
  `onChatMessageShouldBeStored` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `message` - The `ChatMessage` that is being received

### onChatMessageParticipantImdnStateChanged

public void onChatMessageParticipantImdnStateChanged(@NonNull ChatRoom chatRoom, @NonNull ChatMessage message, @NonNull ParticipantImdnState state)
Description copied from interface: `ChatRoomListener`
Callback used to notify a participant state has changed in a message of this
chat room.

Specified by:
  `onChatMessageParticipantImdnStateChanged` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - `ChatRoom` object
  `message` - The `ChatMessage` for which a participant has it's state
  changed
  `state` - The `ParticipantImdnState`

### onChatRoomRead

public void onChatRoomRead(@NonNull ChatRoom chatRoom)
Description copied from interface: `ChatRoomListener`
Callback used to notify a chat room was "marked as read".

Specified by:
  `onChatRoomRead` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - The LinphoneChatRoom object that was marked as read

### onNewMessageReaction

public void onNewMessageReaction(@NonNull ChatRoom chatRoom, @NonNull ChatMessage message, @NonNull ChatMessageReaction reaction)
Description copied from interface: `ChatRoomListener`
Callback used to notify a reaction has been received or sent for a given
message.

Specified by:
  `onNewMessageReaction` in interface `ChatRoomListener`
Parameters:
  `chatRoom` - LinphoneChatRoom object
  `message` - LinphoneChatMessage object for which we received a reaction
  `reaction` - the LinphoneChatMessageReaction reaction that was sent or
  received